Ubuntu

libgtk2-perl ftbfs in quantal (hangs in the testsuite)

Reported by Matthias Klose on 2012-09-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libgtk2-perl (Ubuntu)
High
Colin Watson
Quantal
High
Colin Watson

Bug Description

update needed for new gtk version?

Session terminated, terminating shell... ...terminated.
make[1]: *** [override_dh_auto_test] Terminated
make[2]: *** [test_dynamic] Terminated
make: *** [build] Terminated
Build killed with signal 15 after 180 minutes of inactivity

Matthias Klose (doko) wrote :
Changed in libgtk2-perl (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-12.10-beta-2
status: New → Confirmed

On Wed, 26 Sep 2012 12:17:21 -0000, Matthias Klose wrote:

> update needed for new gtk version?
>
> Session terminated, terminating shell... ...terminated.
> make[1]: *** [override_dh_auto_test] Terminated
> make[2]: *** [test_dynamic] Terminated
> make: *** [build] Terminated
> Build killed with signal 15 after 180 minutes of inactivity

The actual error in the log (thanks for the URL) at
https://launchpadlibrarian.net/117015847/buildlog_ubuntu-quantal-amd64.libgtk2-perl_2%3A1.244-1_FAILEDTOBUILD.txt.gz
is just before this:

# Testing Gtk2 1.244
# Running against gtk+ 2.24.12
# Compiled against gtk+ 2.24.12
# and pango 1.30.1
[..]
Xlib: extension "RANDR" missing on display ":99".
t/GtkRecentAction.t ................ ok
Xlib: extension "RANDR" missing on display ":99".
*** unhandled exception in callback:
*** No item for URI 'file:///build/buildd/libgtk2-perl-1.244/t/GtkRecentChooser.t' found at t/GtkRecentChooser.t line 58.
*** ignoring at /build/buildd/libgtk2-perl-1.244/blib/lib/Gtk2/TestHelper.pm line 84.

Session terminated, terminating shell... ...terminated.

And I get the same error in an amd64/quantal chroot; but not with
Debian/sid. Quick visible difference:

# Testing Gtk2 1.244
# Running against gtk+ 2.24.10
# Compiled against gtk+ 2.24.10
# and pango 1.29.4

Cc'ing the debian perl group.

Cheers,
gregor

--
 .''`. Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer - http://www.debian.org/
 `. `' Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `- NP: Diana Krall: Isn't This A Lovely Day

Colin Watson (cjwatson) on 2012-09-30
Changed in libgtk2-perl (Ubuntu Quantal):
milestone: ubuntu-12.10-beta-2 → ubuntu-12.10
Barry Warsaw (barry) wrote :

Interesting. I see the same success-in-sid-failure-in-quantal except that it doesn't terminate for me. Instead, it just hangs after the TestHelper.pm line.

Adam Conrad (adconrad) wrote :

@Barry, you're seeing the same failure. The termination is sbuild giving up on the hung process and killing the build with fire.

Colin Watson (cjwatson) on 2012-10-10
Changed in libgtk2-perl (Ubuntu Quantal):
assignee: nobody → Colin Watson (cjwatson)
status: Confirmed → In Progress
Colin Watson (cjwatson) wrote :

On Wed, Sep 26, 2012 at 08:00:30PM +0200, gregor herrmann wrote:
> # Testing Gtk2 1.244
> # Running against gtk+ 2.24.12
> # Compiled against gtk+ 2.24.12
> # and pango 1.30.1
> [..]
> Xlib: extension "RANDR" missing on display ":99".
> t/GtkRecentAction.t ................ ok
> Xlib: extension "RANDR" missing on display ":99".
> *** unhandled exception in callback:
> *** No item for URI 'file:///build/buildd/libgtk2-perl-1.244/t/GtkRecentChooser.t' found at t/GtkRecentChooser.t line 58.
> *** ignoring at /build/buildd/libgtk2-perl-1.244/blib/lib/Gtk2/TestHelper.pm line 84.

I worked this out and sent a patch upstream:

  https://bugzilla.gnome.org/show_bug.cgi?id=685865

--
Colin Watson [<email address hidden>]

Changed in libgtk2-perl (Ubuntu Quantal):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgtk2-perl - 2:1.244-1ubuntu1

---------------
libgtk2-perl (2:1.244-1ubuntu1) quantal; urgency=low

  * Forcibly emit GtkRecentManager::changed signal in GtkRecentChooser test
    to work around a recent GTK+ change (LP: #1056811).
 -- Colin Watson <email address hidden> Wed, 10 Oct 2012 10:16:50 +0100

Changed in libgtk2-perl (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.